CREATE FUNCTION dbo.CFJU_Contratos_Validar(@pJsonRecibido VARCHAR(8000))
RETURNS INT
AS
BEGIN
DECLARE @Id_Contrato_Cumple_Condiciones		INT

/*Variables recibidas por parametro a traves del JSON*/
DECLARE @pId_Usuario			SMALLINT
DECLARE @pId_Cliente			INT
DECLARE @pId_Producto			VARCHAR(14)
DECLARE @pFecha_Desde			DATETIME
DECLARE @pFecha_Hasta			DATETIME
DECLARE @pId_Contrato_A_Excluir INT

SET @pId_Usuario				= ISNULL(CONVERT(SMALLINT, dbo.CF_JSON_VALUE(@pJsonRecibido,'Id_Usuario')), 0)
SET @pId_Cliente				= ISNULL(CONVERT(INT, dbo.CF_JSON_VALUE(@pJsonRecibido,'Id_Cliente')), 0)
SET @pId_Producto				= ISNULL(CONVERT(VARCHAR(14), dbo.CF_JSON_VALUE(@pJsonRecibido,'Id_Producto')), '')
SET @pFecha_Desde				= ISNULL(CONVERT(DATETIME, dbo.CF_JSON_VALUE(@pJsonRecibido,'Fecha_Desde')), GETDATE())
SET @pFecha_Hasta				= ISNULL(CONVERT(DATETIME, dbo.CF_JSON_VALUE(@pJsonRecibido,'Fecha_Hasta')), '20501231')
SET @pId_Contrato_A_Excluir		= ISNULL(CONVERT(INT, dbo.CF_JSON_VALUE(@pJsonRecibido,'Id_Contrato')), 0)
/*FIN Variables recibidas por parametro a traves del JSON*/

/*Variable Locales*/

/*FIN Variable Locales*/

/*Implementar*/
SET @Id_Contrato_Cumple_Condiciones = ISNULL((SELECT 0)
											, 0)

RETURN ISNULL(@Id_Contrato_Cumple_Condiciones, 0)
END


/*
SELECT dbo.CFJU_Contratos_Validar('{"Id_Cliente":"89115","Id_Producto":"P0273","Fecha_Desde":"20190101","Fecha_Hasta":"20190124"')	--1)	0
*/